#include "udsreq.ih"

UDSReq::Req UDSReq::find(string const &name)
{
    auto iter = find_if(s_vect.begin(), s_vect.end(), 
        [&](Pair const &item)
        {
            return name == item.second;
        }
    );

    return iter == s_vect.end() ? ERROR : iter->first;
}

